/*-----------------------------------------------------------------------------
[名称]	HebopeDoc.h
[概要]	ドキュメントのヘッダ
[備考]	へぼぺが扱うデータのほとんど。
[履歴]	2003-03-14	NC		新規作成(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_HEBOPEDOC_H_INCLUDED_)
#define AFX_HEBOPEDOC_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include "AAHanger.h"
#include "CategoryTree.h"

/*-----------------------------------------------------------------------------
[名称]	へぼぺドキュメント
[用途]	へぼぺが扱うデータの管理。
[備考]	なし
-----------------------------------------------------------------------------*/
class CHebopeDoc : public CDocument
{
protected: // シリアライズ機能のみから作成します。
	// 生成
	CHebopeDoc();
	DECLARE_DYNCREATE(CHebopeDoc)

// アトリビュート
public:
	// AA情報の取得
	CAAHanger*	GetAAHanger(){ return(&m_AAHanger); };

	// カテゴリツリーの取得
	CCategoryTree*	GetCategoryTree(){ return(&m_CategoryTree); };

	// ギコペデータを開いたか
	BOOL			IsGikopeFile(){ return( m_bGikopeFile ); };

// オペレーション
public:

//オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CHebopeDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void SetTitle(LPCTSTR lpszTitle);
	virtual void OnCloseDocument();
	//}}AFX_VIRTUAL

// インプリメンテーション
public:
	// 破棄
	virtual ~CHebopeDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
		CAAHanger		m_AAHanger;		// AA情報 [-] (-)
		CCategoryTree	m_CategoryTree;	// カテゴリツリー [-] (-)
		BOOL			m_bGikopeFile;	// ファイル種類判別 [-] (TRUE:ギコペデータ、FALSE:インデクスファイル)

// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CHebopeDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_HEBOPEDOC_H_INCLUDED_)
